package cn.com.taiji.beidou.ship.focus.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import springfox.documentation.annotations.ApiIgnore;

/**
 * 重点关注入参
 * @Author CHEN
 * @Date 2022/11/11 11:24
 */
@Data
public class FocusShipReq {

    private String shipId;
    @ApiModelProperty(hidden = true)
    private String devideNo;
    private String deptId;
    @ApiModelProperty(hidden = true)
    private Long userId;
    private Integer pageNum;
    private Integer pageSize;

    /**
     * 排序字段
     */
    private String sortField;
    /**
     * 排序类型 0 降序，1升序
     */
    private String sortType;
}
