package cn.com.taiji.beidou.ship.warning.record.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author CHEN
 * @Date 2022/11/22 17:54
 */
@Data
public class WarningRecordListResult {
    @ApiModelProperty("预警ID")
    private String id;
    @ApiModelProperty("设备编号")
    private String devideNo;
    @ApiModelProperty("船舶名称")
    private String shipId;
    @ApiModelProperty("船主")
    private String ownerName;
    @ApiModelProperty("船主电话")
    private String ownerTelNo;
    @ApiModelProperty("预警时间")
    private String warningTime;
    @ApiModelProperty("预警详情，暂时没数据")
    private String warningDetail;
    @ApiModelProperty("位置信息")
    private String location;
    private String modelCode;

    @ApiModelProperty("处置ID 空为未读")
    private String disposeId;

    private Integer num;
}
