package cn.com.taiji.beidou.ship.archives.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author CHEN
 * @Date 2022/11/12 17:16
 */
@Data
public class ShipDisposeData {
    @ApiModelProperty(value = "处置ID",hidden = true)
    private Long id;
    @ApiModelProperty("预警ID")
    private String warningId;
    @ApiModelProperty("处置类型 1在线，2离线，3回收，4遮挡，5损坏，6故障，7丢失，8馈电，9查扣、没收，10拆卸,0正常")
    private String disposeType;
    @ApiModelProperty("处置意见")
    private String disposeSuggestion;
    @ApiModelProperty("处置图片")
    private String disposePicture;
    @ApiModelProperty(value = "设备ID",hidden = true)
    private String devideNo;
    @ApiModelProperty(hidden = true)
    private String disposeUserId;
    @ApiModelProperty(value = "处置时间",hidden = true)
    private String disposeTime;
}
