package cn.com.taiji.track.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author CHEN
 * @Date 2022/11/9 18:00
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("ax_beidou_warning_record")
public class WarningRecordEntity extends BaseEntity{
    /**
     * 规则id
     */
    private String ruleId;
    /**
     * 模型船舶id
     */
    private String modelId;
    /**
     * 模型船舶编号
     */
    private String modelCode;
    /**
     * 设备ID
     */
    private String deviceId;
    /**
     * 预警区域ID
     */
    private String areaId;
    /** 起始预警信号 */
    private String start;
    /** 轨迹信息 */
    private String dynamicShip;
    /** 预警时间 */
    private String warningTime;


}
